Erreur de apt-get

Le
vojaghanto
J'ai cassé la configuration de ma Debian unstable en faisant une fausse manip
avec aptitude.

X ne se lance plus. Voici un extrait du log :
(**) Option "Protocol" "ImPS/2"
(**) Configured Mouse: Protocol: "ImPS/2"
(**) Option "CorePointer"
(**) Configured Mouse: Core Pointer
(**) Option "Device" "/dev/psaux"
(EE) xf86OpenSerial: Cannot open device /dev/psaux
No such device.
(EE) Configured Mouse: cannot open input device
(EE) PreInit failed for input device "Configured Mouse"
(II) UnloadModule: "mouse"
(**) Option "Protocol" "ImPS/2"
(**) Generic Mouse: Protocol: "ImPS/2"
(**) Option "SendCoreEvents" "true"
(**) Generic Mouse: always reports core events
(**) Option "Device" "/dev/input/mice"
(EE) xf86OpenSerial: Cannot open device /dev/input/mice
No such device.
(EE) Generic Mouse: cannot open input device
(EE) PreInit failed for input device "Generic Mouse"
(II) UnloadModule: "mouse"
(WW) No core pointer registered
No core pointer

Fatal server error:
failed to initialize core devices

Pourtant lsmod m'indique que le module psmouse est chargé.

Ne sachant que faire, j'ai essayé de réinstaller X avec la commande "apt-get
install x-window-system-core".
J'obtiens alors l'erreur suivante :
dpkg : erreur de traitement de
/var/cache/apt/archives/x11-common_6.9.0.dfsg.1-5_all.deb (--unpack) :
tentative de remplacement de « /etc/X11/Xsession », qui appartient aussi au
paquet xfree86-common
dpkg-deb: sous-processus paste tué par le signal (Relais brisé (pipe))
Des erreurs ont été rencontrées pendant l'exécution :
/var/cache/apt/archives/x11-common_6.9.0.dfsg.1-5_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Que pourrais-je faire ?

--
Christophe


--
Pensez à lire la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench

Pensez à rajouter le mot ``spam'' dans vos champs "From" et "Reply-To:"

To UNSUBSCRIBE, email to debian-user-french-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
  • Partager ce contenu :
Vos réponses
Trier par : date / pertinence
deny
Le #8931611
>J'ai cassé la configuration de ma Debian unstable en faisant une fausse manip
avec aptitude.







salut
dpkg-reconfigure xserver-xorg ?


--
Pensez à lire la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench

Pensez à rajouter le mot ``spam'' dans vos champs "From" et "Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
vojaghanto
Le #8931101
Selon deny

>J'ai cassé la configuration de ma Debian unstable en faisant une fausse
manip
>avec aptitude.
>
>
>
>
>
salut
dpkg-reconfigure xserver-xorg ?





Cela donne :
/usr/sbin/dpkg-reconfigure: xserver-xorg est cassé ou partiellement installé

J'ai aussi essayé apt-get install xserver-xorg ce qui donne :
Lecture des listes de paquets...
Construction de l'arbre des dépendances...
xserver-xorg est déjà la plus récente version disponible.
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :
Les paquets suivants contiennent des dépendances non satisfaites :
x-window-system-core: Dépend: libglu1-xorg mais ne sera pas installé ou
libglu1-mesa mais ne sera pas installé
xfree86-common: Dépend: x11-common mais ne sera pas installé
xserver-common: Dépend: x11-common (>= 6.8.1) mais ne sera pas installé
E: Dépendances non satisfaites. Essayez « apt-get -f install » sans paquet
(ou indiquez une solution).

Et apt-get -f install me redonne :
dpkg : erreur de traitement de
/var/cache/apt/archives/x11-common_6.9.0.dfsg.1-5_all.deb (--unpack) :
tentative de remplacement de « /etc/X11/Xsession », qui appartient aussi au
paquet xfree86-common
dpkg-deb: sous-processus paste tué par le signal (Relais brisé (pipe))
Des erreurs ont été rencontrées pendant l'exécution :
/var/cache/apt/archives/x11-common_6.9.0.dfsg.1-5_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

--
Christophe


--
Pensez à lire la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench

Pensez à rajouter le mot ``spam'' dans vos champs "From" et "Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Frédéric Bothamy
Le #8931091
*
Selon deny
>
> >J'ai cassé la configuration de ma Debian unstable en faisant une fausse
> manip
> >avec aptitude.
> >
> >
> >
> >
> >
> salut
> dpkg-reconfigure xserver-xorg ?
>


Cela donne :
/usr/sbin/dpkg-reconfigure: xserver-xorg est cassé ou partiellement installé

J'ai aussi essayé apt-get install xserver-xorg ce qui donne :
Lecture des listes de paquets...
Construction de l'arbre des dépendances...
xserver-xorg est déjà la plus récente version disponible.
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :
Les paquets suivants contiennent des dépendances non satisfaites :
x-window-system-core: Dépend: libglu1-xorg mais ne sera pas installé ou
libglu1-mesa mais ne sera pas installé
xfree86-common: Dépend: x11-common mais ne sera pas installé
xserver-common: Dépend: x11-common (>= 6.8.1) mais ne sera pas installé
E: Dépendances non satisfaites. Essayez « apt-get -f install » sans paquet
(ou indiquez une solution).

Et apt-get -f install me redonne :
dpkg : erreur de traitement de
/var/cache/apt/archives/x11-common_6.9.0.dfsg.1-5_all.deb (--unpack) :
tentative de remplacement de « /etc/X11/Xsession », qui appartient aussi au
paquet xfree86-common
dpkg-deb: sous-processus paste tué par le signal (Relais brisé (pipe))
Des erreurs ont été rencontrées pendant l'exécution :
/var/cache/apt/archives/x11-common_6.9.0.dfsg.1-5_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)



Quelle version du paquet xfree86-common as-tu ? D'après le message
ci-dessus, cela semblerait être celle de Sarge (c'est la seule qui
contient le fichier /etc/X11/Xsession). Or, l'installation du paquet
xserver-xorg devrait forcer l'installation du paquet x11-common qui
entre en conflit avec les anciennes versions de xfree86-common (et les
nouvelles versions de ce paquet sont pratiquement vides).



Fred

--
Comment poser les questions de manière intelligente ?
http://www.gnurou.org/Writing/SmartQuestionsFr
Comment signaler efficacement un bug ?
http://www.chiark.greenend.org.uk/~sgtatham/bugs-fr.html


--
Pensez à lire la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench

Pensez à rajouter le mot ``spam'' dans vos champs "From" et "Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Jean-Damien Durand
Le #8931041
On Tuesday 28 March 2006 22:51, wrote:
Et apt-get -f install me redonne :
dpkg : erreur de traitement de
/var/cache/apt/archives/x11-common_6.9.0.dfsg.1-5_all.deb (--unpack) :
tentative de remplacement de « /etc/X11/Xsession », qui appartient a ussi
au paquet xfree86-common
dpkg-deb: sous-processus paste tué par le signal (Relais brisé (pipe))
Des erreurs ont été rencontrées pendant l'exécution :
/var/cache/apt/archives/x11-common_6.9.0.dfsg.1-5_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)



Essaie:

dpkg -i --force-all /var/cache/apt/archives/x11-common_6.9.0.dfsg.1-5_all.d eb

ce qui devrait liberer la config automatiques des autres paquets. Ensuite
verifie (apt-get update).

Verifier si tu as le temps si il n'y a pas un rapport de bogue a ce propos, ca
ne parait pas trop propre comme update ./..

A+, JD.
vojaghanto
Le #8929911
Selon Frédéric Bothamy
Quelle version du paquet xfree86-common as-tu ? D'après le message
ci-dessus, cela semblerait être celle de Sarge (c'est la seule qui
contient le fichier /etc/X11/Xsession).


D'après /etc/apt/source.list, c'est la version Sid.

La commande dpkg -p xfree86-common donne :
Package: xfree86-common
Priority: optional
Section: x11
Installed-Size: 364
Maintainer: Debian X Strike Force Architecture: all
Source: xorg-x11
Version: 6.9.0.dfsg.1-5
Depends: x11-common
Size: 191214
Description: X Window System infrastructure transitional package
This package smooths upgrades from Debian 3.1 by depending on x11-common.
This transitional package is only depended upon by packages that install
files into /usr/X11R6 but have not yet corrected their dependencies.

--
Christophe


--
Pensez à lire la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench

Pensez à rajouter le mot ``spam'' dans vos champs "From" et "Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
vojaghanto
Le #8929901
Selon Jean-Damien Durand
dpkg -i --force-all /var/cache/apt/archives/x11-common_6.9.0.dfsg.1-5_all.deb


Ca a marché.

Verifier si tu as le temps si il n'y a pas un rapport de bogue a ce propos,
ca
ne parait pas trop propre comme update ./..


N'étant pas familier du fonctionnement du système de gestion de paquets de
Debian, je ne saurais dire si ce qui m'est arrivé est un bogue ou le résultat
d'une fausse manip'. J'avais précédemment interrompu aptitude dans son travail
ce qui avait peut-être laissé le système dans un état instable.

Merci pour les réponses.

--
Christophe


--
Pensez à lire la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench

Pensez à rajouter le mot ``spam'' dans vos champs "From" et "Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Frédéric Bothamy
Le #8929861
*
Selon Frédéric Bothamy
> Quelle version du paquet xfree86-common as-tu ? D'après le message
> ci-dessus, cela semblerait être celle de Sarge (c'est la seule qui
> contient le fichier /etc/X11/Xsession).
D'après /etc/apt/source.list, c'est la version Sid.

La commande dpkg -p xfree86-common donne :



Je me suis mal exprimé, j'aurais plutôt dire : "quelle version du paquet
xfree86-common as-tu d'installée ?" (autrement dit, quelle est la sortie
de "dpkg -l xfree86-common" ou "apt-cache policy xfree86-common")

"dpkg -p" donne la version du paquet présente dans
/var/lib/dpkg/available qui n'est pas forcément celle réellement
installée sur le système.

Autre question : est-ce que supprimer ce paquet avant de faire la mise à
jour résoud ton problème ? (ce paquet n'est qu'un paquet de transition)


Fred

--
Comment poser les questions de manière intelligente ?
http://www.gnurou.org/Writing/SmartQuestionsFr
Comment signaler efficacement un bug ?
http://www.chiark.greenend.org.uk/~sgtatham/bugs-fr.html


--
Pensez à lire la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench

Pensez à rajouter le mot ``spam'' dans vos champs "From" et "Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
vojaghanto
Le #9006861
Selon Frédéric Bothamy
Je me suis mal exprimé, j'aurais plutôt dire : "quelle version du paquet
xfree86-common as-tu d'installée ?" (autrement dit, quelle est la sortie
de "dpkg -l xfree86-common" ou "apt-cache policy xfree86-common")



"dpkg -l xfree86-common" donne :
Souhait=inconnU/Installé/suppRimé/Purgé/H=à garder
| État=Non/Installé/fichier-Config/dépaqUeté/échec-conFig/H=semi-installé
|/ Err?=(aucune)/H=à garder/besoin Réinstallation/X=les deux (État,Err:
majuscule=mauvais)
||/ Nom Version Description
+++-==============-==============-================================================== ii xfree86-common 6.9.0.dfsg.1-5 X Window System infrastructure transitional
package

Le problème a été résolu avec la commande
dpkg -i --force-all /var/cache/apt/archives/x11-common_6.9.0.dfsg.1-5_all.deb

--
Christophe


--
Pensez à lire la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench

Pensez à rajouter le mot ``spam'' dans vos champs "From" et "Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Poster une réponse
Anonyme